import { type NextFunction, type Request } from 'express';
import { type SecurityDefinition } from '../middlewares/impl/before/SecurityMiddleware';
import { type Response } from '../Response';
import { AbstractSecurityValidationHandler, type AuthType } from './AbstractSecurityValidationHandler';
export declare abstract class ApiKeySecurityValidationHandler extends AbstractSecurityValidationHandler {
    handle(req: Request, _res: Response, next: NextFunction, config: SecurityDefinition): void;
    abstract validateApiKeyAuth(token: string, config: SecurityDefinition): boolean;
    canHandle(type: AuthType): boolean;
    protected getAuthType(): AuthType;
}
