import { type NextFunction, type Request } from 'express';
import { type SecurityDefinition } from '../middlewares/impl/before/SecurityMiddleware';
import { type Response } from '../Response';
import { AbstractSecurityValidationHandler, type AuthType } from './AbstractSecurityValidationHandler';
export declare abstract class HttpSecurityValidationHandler extends AbstractSecurityValidationHandler {
    handle(req: Request, _res: Response, next: NextFunction, config: SecurityDefinition): void;
    abstract validateBasicAuth(token: string, config: SecurityDefinition): boolean;
    abstract validateBearerAuth(token: string, config: SecurityDefinition): boolean;
    canHandle(type: AuthType): boolean;
}
